## org.eclipse.ocl
Class SemanticException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.ocl.ParserException
                  org.eclipse.ocl.SemanticException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  LookupException

    public class SemanticException

extends ParserException

Exception indicating a semantic error in parsing or validating OCL expressions.

See Also:
  Serialized Form

Constructor Summary
`SemanticException(Diagnostic problem)` Initializes me with a diagnostic obtained from a problem handler.
`SemanticException(String msg)` Initializes me with a user-friendly message describing the nature of the parse failure.
`SemanticException(String msg, Throwable cause)` Initializes me with a message and an exception that caused the parse failure.

Method Summary

Methods inherited from class org.eclipse.ocl.ParserException
`getDiagnostic`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SemanticException

    public SemanticException(String msg)

  Initializes me with a user-friendly message describing the nature of the parse failure.

  Parameters:
    `msg` - the exception message

### SemanticException

    public SemanticException(String msg,
                             Throwable cause)

  Initializes me with a message and an exception that caused the parse failure.

  Parameters:
    `msg` - my user-friendly message
    `cause` - the cause of the parse failure

### SemanticException

    public SemanticException(Diagnostic problem)

  Initializes me with a diagnostic obtained from a problem handler.

  Parameters:
    `problem` - the diagnostic
  Since:
    1.2

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.